Loading...
Searching...
No Matches
opengv::Indices Struct Reference

`#include <Indices.hpp>`

## Public Member Functions

| Indices (const std::vector< int > &indices)
| Constructor using index-vector.
| Indices (size_t numberCorrespondences)
| Constructor without index-vector (uses all correspondences).
size_t | size () const
| Get the number of correspondences.
int | operator[] (int i) const
| Get an index.

## Public Attributes

bool | _useIndices
const std::vector< int > * | _indices
size_t | _numberCorrespondences

## Detailed Description

Index class used internally so we can efficiently access either all or just a subset of the indices, using the same syntax

## Constructor & Destructor Documentation

## Indices() [1/2]

opengv::Indices::Indices | ( | const std::vector< int > & | indices | ) |

inline

Constructor using index-vector.

Parameters

  [in] | indices | The index-vector.

## Indices() [2/2]

opengv::Indices::Indices | ( | size_t | numberCorrespondences | ) |

inline

Constructor without index-vector (uses all correspondences).

Parameters

  [in] | numberCorrespondences | The number of correspondences.

## Member Function Documentation

## operator[]()

int opengv::Indices::operator[] | ( | int | i | ) | const

inline

Get an index.

Parameters

  [in] | i | The index.

Returns
  The index (either directly or from the index-vector).

## size()

size_t opengv::Indices::size | ( |  | ) | const

inline

Get the number of correspondences.

Returns
  The number of correspondences.

## Member Data Documentation

## _indices

const std::vector<int>* opengv::Indices::_indices

Pointer to a vector of indices (if used)

## _numberCorrespondences

size_t opengv::Indices::_numberCorrespondences

The number of correspondences

## _useIndices

bool opengv::Indices::_useIndices

Indexing into vector of indices?

The documentation for this struct was generated from the following file:

- include/opengv/Indices.hpp